[package]
name = "JE-Skin"
version = "0.3.0"
description = "A Tauri App"
authors = ["you"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
# The `_lib` suffix may seem redundant but it is necessary
# to make the lib name unique and wouldn't conflict with the bin name.
# This seems to be only an issue on Windows, see https://github.com/rust-lang/cargo/issues/8519
name = "tauri_demo_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = ["tray-icon"] }
tauri-plugin-opener = "2"
serde = { version = "1", features = ["derive"] }
anyhow = "1.0.102"
tokio-serial = { version = "5.4.5" }
tokio = { version = "1.50.0", features = ["full"] }
async-trait = "0.1.89"
tokio-util = "0.7.18"
serde_json = "1"
fern = { version = "0.7.1", features = ["colored", "date-based"] }
log = "0.4.29"
humantime = "2.3.0"
csv = "1.4.0"
chrono = "0.4.44"
crc = "3.4.0"
